View Issue Details

IDProjectCategoryView StatusLast Update
0001111PartDesignBugpublic2013-05-13 12:26
Reporterproject4Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.13 
Target VersionFixed in Version0.14 
Summary0001111: Deleting sketch after padding was done crashes the program
DescriptionAccidently deleting a sketch after padding was done marks the pad entry with a red mark (stop sign? it's so small!).
Double clicking the pad entry crashes the program.

It's logical to mark the entry with error mark, but the first thing that person will do is double click it to see what is the problem...

I would expect the program will not allow to delete an object that has depended objects on it. Don't see a reason to allow that operation.
TagsNo tags attached.

Relationships

related to 0001106 closed FreeCAD Segfault when selecting a duplicate pad 

Activities

project4

2013-04-28 18:26

reporter   ~0003126

OS: Ubuntu 11.10
Platform: 64-bit
Version: 0.13.1830 (Git)
Branch: releases/FreeCAD-0-13
Hash: ec7636d7aaf2612e9b43cff5d6a424037d53e505
Python version: 2.7.2+
Qt version: 4.7.4
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.0

wandererfan

2013-04-30 20:01

manager   ~0003129

This no longer happens in:
 
OS: Ubuntu 12.04.2 LTS
Platform: 64-bit
Version: 0.13.2084 (Git)
Branch: copypaste
Hash: 340edd17f248ceb9e9118d748264ef41ba358ab4
Python version: 2.7.3
Qt version: 4.8.1
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.1

The Pad edit dialog is displayed, then a MessageBox for "input error".

project4

2013-05-01 02:56

reporter   ~0003130

Thanks.

Are there any plans for next release soon?
Or the only way to get a newer version is by compilation?

wandererfan

2013-05-01 11:20

manager   ~0003131

Sorry, I'm not sure about the release schedule.

You can get the bleeding edge version using these instructions:
http://www.freecadweb.org/wiki/index.php?title=Download#Ubuntu_PPA_packages

wmayer

2013-05-13 12:26

administrator   ~0003149

git show 5639f22

Issue History

Date Modified Username Field Change
2013-04-27 14:05 project4 New Issue
2013-04-28 18:26 project4 Note Added: 0003126
2013-04-30 20:01 wandererfan Note Added: 0003129
2013-05-01 02:56 project4 Note Added: 0003130
2013-05-01 11:20 wandererfan Note Added: 0003131
2013-05-13 12:26 wmayer Note Added: 0003149
2013-05-13 12:26 wmayer Status new => closed
2013-05-13 12:26 wmayer Resolution open => fixed
2013-05-13 12:26 wmayer Fixed in Version => 0.14
2013-05-13 12:35 wmayer Relationship added related to 0001106